> ## Documentation Index
> Fetch the complete documentation index at: https://domoinc-openapi-sync-dataflows.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a page

> Creates a new page in your Domo instance.



## OpenAPI

````yaml /openapi/platform/page.yaml POST /v1/pages
openapi: 3.1.0
info:
  title: Page API
  version: '1.0'
  description: >-
    ### The page object


    The page object is a screen where you can view a “collection” of data, which
    is typically displayed in cards. You use a page to organize, manage, and
    share content to other users in Domo. Pages allow you to send external
    reports, create holistic filters across all metrics within the page, or have
    conversations in Domo’s Buzz tool about the data associated to the entire
    page.  The Page API allows you to create, delete,  retrieve a page or a list
    of pages, and update page information and content within a page.


    #### Attributes


    Property Name | Type | Description

    ------- | ------- | -------

    name | string | The name of the page

    id | string | The ID of the page

    parentId | integer | The ID of the page that is higher in organizational
    hierarchy 

    owners | array | List of IDs of page owners

    locked | boolean | Determines whether users (besides the page owner) can
    make updates to page or its content - the default value is false

    collectionIds | array | The IDs of collections within a page

    cardIds | array | The ID of all cards contained within the page

    children | object | All pages that are considered "sub pages" in
    organizational hierarchy

    visibility | object | Determines the access given to both individual users
    or groups within Domo

    userIds | array | The IDs of users with access to the page

    groupIds | array | The IDs of groups with access to the page
servers:
  - url: https://api.domo.com
    description: Domo API
security:
  - bearerAuth: []
paths:
  /v1/pages:
    post:
      summary: Create a page
      description: Creates a new page in your Domo instance.
      operationId: post-v1-pages
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  description: The name of the page
                parentId:
                  type: integer
                  description: >-
                    If provided, the page will be created as a subpage to the
                    page provided
                locked:
                  type: boolean
                  description: >-
                    will restrict other users the ability to make edits to page
                    or its content - the default value is false
                cardIds:
                  type: array
                  description: The IDs of all cards to be added to the page
                  items:
                    type: integer
                visibility:
                  type: object
                  description: >-
                    Determines the access given to both individual users or
                    groups within Domo
                  properties:
                    userIds:
                      type: array
                      description: >-
                        The IDs of users that will be given access to view the
                        page
                      items:
                        type: integer
                    groupIds:
                      type: array
                      description: >-
                        The IDs of groups that will be given access to view the
                        page
                      items:
                        type: integer
      responses:
        '200':
          description: Returns a page object when successful.
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: integer
                  parentId:
                    type: integer
                  owners:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: integer
                        type:
                          type: string
                        displayName:
                          type: string
                  name:
                    type: string
                  locked:
                    type: boolean
                  cardIds:
                    type: array
                    items:
                      type: integer
                  visibility:
                    type: object
                    properties:
                      userIds:
                        type: array
                        items:
                          type: integer
                      groupIds:
                        type: array
                        items:
                          type: integer
              examples:
                Example 1:
                  value:
                    id: 3242
                    parentId: 23
                    owners:
                      - id: 8811501
                        type: USER
                        displayName: John Smith
                    name: Supply Chain
                    locked: true
                    cardIds:
                      - 12
                      - 2535
                      - 233
                      - 694
                    visibility:
                      userIds:
                        - 793
                        - 20
                        - 993
                        - 19234
                      groupIds:
                        - 32
                        - 25
                        - 17
                        - 74
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````